# GEXTPARALLELBUILDING
extdesc="parallel processor enabled collection building"

full_setup=`pwd`/${BASH_SOURCE}
fulldir=${full_setup%/*}
fulldir=${fulldir%/.}

if [ "x$GSDLHOME" = "x" ] ; then
  if [ -e ../../setup.bash ] ; then
    export gsopt_noexts=1 && pushd ../.. && source setup.bash && popd
    export gsopt_noexts=
  elif [ -e ../../gs3-setup.sh ] ; then
    export gsopt_noexts=1 && pushd ../.. && source gs3-setup.sh && popd
    export gsopt_noexts=
  fi

fi

if [ "x$GEXTPARALLELBUILDING" = "x" ] ; then

  export PARALLELBUILDINGOS=`uname -s | tr '[A-Z]' '[a-z]' | sed 's/\([0-9]\+\)\?_.*$//'`
  export GEXTPARALLELBUILDING=$fulldir
  export GEXTPARALLELBUILDING_INSTALLED=$GEXTPARALLELBUILDING/$GSDLOS

  export PATH=$GEXTPARALLELBUILDING_INSTALLED/bin:$fulldir/bin/script:$PATH

  if [ "x$CXXFLAGS" = "x" ] ; then
    export CXXFLAGS="-I$GEXTPARALLELBUILDING_INSTALLED/include"
  else
    export CXXFLAGS="-I$GEXTPARALLELBUILDING_INSTALLED/include $CXXFLAGS"
  fi

  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
    export LD_LIBRARY_PATH=$GEXTPARALLELBUILDING_INSTALLED/lib
  else
    export LD_LIBRARY_PATH=$GEXTPARALLELBUILDING_INSTALLED/lib:$LD_LIBRARY_PATH
  fi

  if [ "x$LDFLAGS" = "x" ] ; then
    export LDFLAGS="-L$GEXTPARALLELBUILDING_INSTALLED/lib"
  else
    export LDFLAGS="-L$GEXTPARALLELBUILDING_INSTALLED/lib $LDFLAGS"
  fi

  extdir=${GEXTPARALLELBUILDING##*/}

  if [ "x$GSDLEXTS" = "x" ] ; then
    export GSDLEXTS=$extdir
  else 
    export GSDLEXTS=$GSDLEXTS:$extdir
  fi

  # Hadoop specific environment setup
  export HADOOP_VERSION=1.1.0
  export HADOOP_PREFIX=/share/apps/hadoop-$HADOOP_VERSION
  export PATH=$PATH:$HADOOP_PREFIX/bin
  export HDFSHOST=medusa.local
  export HDFSPORT=9000

  echo "+Your environment is now setup for $extdesc in Greenstone"
else
  echo "+Your environment is already setup for $extdesc in Greenstone"
fi


